Loading...
Searching...
No Matches
mongocxx::v_noabi::result::delete_result Class Reference

`#include <mongocxx/v_noabi/mongocxx/result/delete.hpp>`

## Description

The result of a MongoDB delete operation.

## Public Member Functions

| delete_result (v1::delete_many_result opts)
| Construct with the mongocxx::v1 equivalent.
| delete_result (v1::delete_one_result opts)
| Construct with the mongocxx::v1 equivalent.
| delete_result (v_noabi::result::bulk_write result)
std::int32_t | deleted_count () const
| Gets the number of documents that were deleted during this operation.
| operator v1::delete_many_result () const
| Convert to the mongocxx::v1 equivalent.
| operator v1::delete_one_result () const
| Convert to the mongocxx::v1 equivalent.
v_noabi::result::bulk_write const & | result () const
| Returns the bulk write result.

## Constructor & Destructor Documentation

## delete_result() [1/3]

mongocxx::v_noabi::result::delete_result::delete_result | ( | v_noabi::result::bulk_write | result | ) |

inline explicit

Deprecated
  For internal use only.

## delete_result() [2/3]

mongocxx::v_noabi::result::delete_result::delete_result | ( | v1::delete_many_result | opts | ) |

Construct with the mongocxx::v1 equivalent.

## delete_result() [3/3]

mongocxx::v_noabi::result::delete_result::delete_result | ( | v1::delete_one_result | opts | ) |

Construct with the mongocxx::v1 equivalent.

## Member Function Documentation

## deleted_count()

std::int32_t mongocxx::v_noabi::result::delete_result::deleted_count | ( |  | ) | const

inline

Gets the number of documents that were deleted during this operation.

Returns
  The number of documents that were deleted.

## operator v1::delete_many_result()

mongocxx::v_noabi::result::delete_result::operator v1::delete_many_result | ( |  | ) | const

explicit

Convert to the mongocxx::v1 equivalent.

## operator v1::delete_one_result()

mongocxx::v_noabi::result::delete_result::operator v1::delete_one_result | ( |  | ) | const

explicit

Convert to the mongocxx::v1 equivalent.

## result()

v_noabi::result::bulk_write const & mongocxx::v_noabi::result::delete_result::result | ( |  | ) | const

inline

Returns the bulk write result.

Returns
  The raw bulk write result.

The documentation for this class was generated from the following file:

- mongocxx/v_noabi/mongocxx/result/delete.hpp